#ifndef __MNIC_H
#define __MNIC_H

//#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stddef.h>
#include <unistd.h>
#include <ctype.h>
#include <errno.h>
#include <netinet/in.h>
#include <net/if.h>
#include <time.h>
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <sys/sem.h>
#include <sys/ipc.h>
#include <sys/param.h>
#include <linux/types.h>
#include <glob.h>
#include <linux/sockios.h>
#include <arpa/inet.h>
#include <pthread.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/time.h>

#include "sys_netcard.h"
#include <pwd.h>
#include <sys/types.h>
#define IPSIZE 16

char	*get_name(char *, char *);
int	if_fetch(NETCARD_INFO *);
int	ioc_get_name(NETCARD_INFO *);
int	get_dev_fields(char *p, NETCARD_INFO *);
int	get_user_home(int , char *);
void	send_alarm(D5000_NIC_ALARM *, int , char *);
void	record_log(char *);

#endif
